#include <bits/stdc++.h>
using namespace std;
long long n,m,res;
struct slog{
    int najmanje,najvise;
}vaga[200005];
struct slog1{
    int odakle,dokle,koliko;
}pitanja;
void odredi(int x, int tezina){
  if(vaga[x].najmanje<=tezina and vaga[x].najvise>=tezina)res++;
}
int main (){
    cin>>n>>m;
    for(int i=1; i<=n; i++){
        cin>>vaga[i].najmanje>>vaga[i].najvise;
    }
    for(int i=1; i<=m; i++){
        cin>>pitanja.odakle>>pitanja.dokle>>pitanja.koliko;
        res=0;
        for(int j=pitanja.odakle; j<=pitanja.dokle; j++){
                odredi(j,pitanja.koliko);
        }
        cout<<res<<endl;
    }

return 0;
}